@charset "utf-8";



#allExhibitionsBtn,
#allExhibitionsBtnMobile {
  cursor: pointer;
}

#allExhibitionsOverlayWrapper {
  position: fixed;
  inset: 1.5em;
  border: 0px;
  overflow-y: scroll;
  opacity: 0.0;
  transition: opacity 250ms ease-in-out;
  pointer-events: none;
  z-index: 9000;
  box-shadow: 0 5px 12px rgba(0,0,0,0.35);
  border-radius: 3px;
  background-color: var(--bg-color);
}

#allExhibitionsOverlayWrapper.shown {
  transition: opacity 250ms ease-in-out !important;
  opacity: 1.0;
  pointer-events: all;
}


#allExhibitionsOverlayWrapper::-webkit-scrollbar {
}
#allExhibitionsOverlayWrapper::-webkit-scrollbar-thumb {
  background-color: grey; /* var(--menu-item-active-bg); */
  border: none;
  border-radius: 3px; /*  8px; */
  background-clip: padding-box; 
}
#allExhibitionsOverlayWrapper::-webkit-scrollbar-track {
  box-shadow: none;
  background-color: transparent;
}

/* close button */
a#exhibitOvlCloseBtn:hover {
  cursor: pointer;
}

/* SORT BUTTONS for YEAR MENU */
.ovlSortYearsWrapper {
  position: fixed;
  top: 5em;
  left: 6em;
  z-index: 9999;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  max-width: 75%;
}
ul.ovlSortYearsWrapper {
  display: block;
  margin: 0px;
  padding: 0px;
  list-style-type: none;
}
ul.ovlSortYearsWrapper li {
  display: inline-block;
  padding: 0px;
  margin: 0px 1rem 0px 0px;
  background-color: var(--bg-color);
}
ul.ovlSortYearsWrapper li a {
  padding: 0px 0.5rem 0px 0px;
  text-decoration: none;
}
ul.ovlSortYearsWrapper li a:hover {
  cursor: pointer;
  text-decoration: underline;
}
ul.ovlSortYearsWrapper li a.is-active {
  text-decoration: line-through;
}
/* hide contextual menu on nav */
#block-exhibitionoverlaymenu .contextual {
  display: none;
}


/* ALL works */
#allExhibitionsOverlay {
  /* background-color: var(--bg-color); */
  display: grid;
  /* grid-template-columns: repeat(auto-fill, minmax(320px, 1fr)); */
  grid-template-columns: repeat(auto-fill, 15em);
  grid-gap: 2em; /* 1.5em; */
  overflow-y: auto;
  /* min-height: calc(100vh - 3em);   */
}

#allExhibitionsOverlay.alphabet {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); /* 200 / 240px */
  grid-gap: 1.5em; /* 2em; */
  overflow-y: auto;
}


#allExhibitionsOverlay h3 {
  font-size: 1em; /* 1.325em; */
  font-weight: 600; /* 400; /* 500; */
  margin: 0px 0px 1.5em 0px;
  text-transform: uppercase;
}



ul.exhibitionsGroup {
  list-style: none;
  padding: 0px;
  margin: 0px;
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 0.6em;
  margin-bottom: 0px;
}

ul.exhibitionsGroup li {
  display: grid;
  grid-template-columns: 80px 1fr;
  grid-gap: 0.65em;
}
ul.exhibitionsGroup li:last-of-type {
  margin-bottom: 0.75em;
}

ul.exhibitionsGroup li a {
  margin: 0px;
  padding: 0px;
  text-decoration: none;
}
ul.exhibitionsGroup li a:hover {
  text-decoration: underline;
}

ul.exhibitionsGroup li a img {
  display: block;
  float: left;
  width: 100%;
  height: auto;
}


/* ********************************************************* */
/* alphabet version */
#allExhibitionsOverlay.alphabet ul.exhibitionsGroup {
  /* grid-gap: 0.25em; */
}
#allExhibitionsOverlay.alphabet ul.exhibitionsGroup li {

  grid-template-columns: 135px 1fr;
  grid-gap: 0.65em;
}
#allExhibitionsOverlay.alphabet ul.exhibitionsGroup li a:first-of-type {
  /* display: none !important; */
}
#allExhibitionsOverlay.alphabet h3 {
  margin-bottom: 1.35em;
}


/* ********************************************************* */
/* CHRONO version */
#allExhibitionsOverlay.category ul.exhibitionsGroup {
  /* grid-gap: 0.25em; */
}
#allExhibitionsOverlay.category ul.exhibitionsGroup li {
  grid-template-columns: 135px 1fr; /* 90px 1fr; /* 70px 1fr; */
  grid-gap: 0.65em;
}
#allExhibitionsOverlay.category ul.exhibitionsGroup li a:first-of-type {
  /* display: none !important; */
}
#allExhibitionsOverlay.category h3 {
  margin-bottom: 1.35em;
}


/* ********************************************************* */
/* CHRONO version */
#allExhibitionsOverlay.chrono {
  display: flex;
  flex-direction: column;
  /* border: 1px solid purple; */
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup {
  /* grid-gap: 0.25em; */
  display: flex;
  flex-direction: column;
  gap: 0px;
  /* border: 1px solid pink; */
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li {
  display: flex;
  flex-direction: row;
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li a {
  /* border: 1px solid red; */
  width: 100%;
  display: grid;
  /* grid-template-columns: 1fr 1fr;
  gap: 1em; */
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li a > * {
  /* border: 1px solid lightgreen; */
}
/* left side */
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .left {
  display: grid;
  /* grid-template-columns: max-content 1fr; */ /* set in media queries */
  gap: 1em;
  justify-content: start;
  align-items: center;
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .left img {
  height: 60px; /* 70px; /* 90px; */
  width: auto;
}
/* right side */
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .right {
  display: grid;
  /* grid-template-columns: 1fr 1fr; */ /* set in media queries */
  /* gap: 1em; */
  justify-content: start;
  align-items: center;
}




#allExhibitionsOverlay.chrono ul.exhibitionsGroup li {
  border-top: 1px solid rgba(0,0,0,0.25);
  justify-content: flex-start; /* center */
  align-items: center;
  gap: 1em;
  padding: 0.5em 0px;
}
#allExhibitionsOverlay.chrono ul.exhibitionsGroup li:last-of-type {
  border-bottom: 1px solid rgba(0,0,0,0.25);
}
#allExhibitionsOverlay.chrono h3 {
  text-align: center;
  margin-bottom: 1.35em;
}


a.allExhibitionsBtnActive {
  text-decoration: underline;
}


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* THERE ARE STYLESHEETS ATTACHED TO THIS formatting */

/* grids */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
@media screen {


  #allExhibitionsOverlay {
    padding: 5em 1em 1em 1em; /*  5em 1em 1em 27em; /* calc(5.15em + 1em) 1em 1em 1em; */
  }

  #allExhibitionsOverlay.alphabet {
    grid-template-columns: 1fr; /* 200 / 240px */
  }
  #allExhibitionsOverlay.category {
    grid-template-columns: 1fr; /* 200 / 240px */
  }  
  
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a {
    grid-template-columns: 1fr; /* 1fr 1fr; */
    gap: 0px;
  }

  /* left side */
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .left {
    grid-template-columns: 1fr; /* max-content 1fr; */
  }
  /* right side */
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .right {
    grid-template-columns: 1fr; /* 1fr 1fr; */
    gap: 0;
  }
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .right .dates {
    text-align: left;
  }


}


/* ***************************************************** */
/* BREAK TINY */
@media (min-width: 400px) {


  #allExhibitionsOverlay.alphabet {
    grid-template-columns: 1fr; /* 1fr 1fr; /* 200 / 240px */
  }
  #allExhibitionsOverlay.category {
    grid-template-columns: 1fr; /* 1fr 1fr; /* 200 / 240px */
  }  

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 800px) {

  #allExhibitionsOverlay {
    padding: 5em 2em 2.5em 2em;
  }


  #allExhibitionsOverlay.alphabet {
    /* grid-template-columns: 1fr 1fr 1fr; /* 200 / 240px */
    grid-template-columns: repeat(2, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }
  #allExhibitionsOverlay.category {
    /* grid-template-columns: 1fr 1fr 1fr; /* 200 / 240px */
    grid-template-columns: repeat(2, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }  

  /* ul.exhibitionsGroup li a { */
  ul.exhibitionsGroup li {
    font-size: 0.9125em;
    line-height: 1.2375em; /* 1.35em; */
  }


  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a {
    grid-template-columns: 1fr 1fr;
    gap: 1em;
  }  

    

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1024px) {

  #allExhibitionsOverlay.alphabet {
    grid-template-columns: repeat(3, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }
  #allExhibitionsOverlay.category {
    grid-template-columns: repeat(3, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }  


  /* left side */
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .left {
    grid-template-columns: max-content 1fr;
  }
  /* right side */
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .right {
    grid-template-columns: 1fr 1fr;
    gap: 1em;
  }
  #allExhibitionsOverlay.chrono ul.exhibitionsGroup li a .right .dates {
    text-align: right;
  }  

}



/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1280px) {

  #allExhibitionsOverlay {
    padding: 5em 3em 3.5em 3em;
  }

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1400px) {

  #allExhibitionsOverlay.alphabet {
    grid-template-columns: repeat(4, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }
  #allExhibitionsOverlay.category {
    grid-template-columns: repeat(4, 1fr); /* 1fr 1fr; /* 200 / 240px */
  }  

}